Page MenuHomePhabricator

upgrade dbproxy1001/1002 to jessie
Closed, ResolvedPublic

Description

dbproxy1001.eqiad.wmnet: True
dbproxy1002.eqiad.wmnet: True

these servers are on precise, but should become jessie

Event Timeline

Dzahn created this task.Jan 28 2016, 12:53 AM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added projects: Operations, DBA.
Dzahn added subscribers: Krenair, Ricordisamoa, hashar and 4 others.
hashar removed a subscriber: hashar.Feb 1 2016, 1:21 PM
jcrespo moved this task from Triage to Backlog on the DBA board.Feb 25 2016, 7:40 AM
jcrespo claimed this task.Feb 29 2016, 7:21 PM
jcrespo triaged this task as Normal priority.
jcrespo moved this task from Backlog to In progress on the DBA board.

Change 273958 had a related patch set uploaded (by Jcrespo):
[WIP]Update haproxy default file, as it cannot be dynamic in jessie

https://gerrit.wikimedia.org/r/273958

jcrespo moved this task from In progress to Backlog on the DBA board.Mar 9 2016, 11:09 AM
jcrespo changed the task status from Open to Stalled.May 2 2016, 9:58 AM
jcrespo removed jcrespo as the assignee of this task.
jcrespo added a subscriber: jcrespo.
Dzahn added a comment.May 2 2016, 1:55 PM

@jcrespo sorry, this is like the other upgrade ticket. it should have been just "shutdown or upgrade precise" not necessarily "jessie". Should i rename it?

No, proxies will be jessie. They are not databases, completely different scenario. Still blocked by reviews on https://gerrit.wikimedia.org/r/273958

jcrespo changed the task status from Stalled to Open.Jul 19 2016, 10:19 AM
jcrespo claimed this task.
jcrespo moved this task from Backlog to In progress on the DBA board.

Change 273958 merged by Jcrespo:
Update haproxy default file, as it cannot be dynamic in jessie

https://gerrit.wikimedia.org/r/273958

Change 299736 had a related patch set uploaded (by Jcrespo):
Fixing typo on systemd haproxy unit (extra newline)

https://gerrit.wikimedia.org/r/299736

Change 299736 merged by Jcrespo:
Fixing typo on systemd haproxy unit (extra newline)

https://gerrit.wikimedia.org/r/299736

Change 299738 had a related patch set uploaded (by Jcrespo):
Regenerate haproxy defaults on reload, in addition to on start

https://gerrit.wikimedia.org/r/299738

Change 299738 merged by Jcrespo:
Regenerate haproxy defaults on reload, in addition to on start

https://gerrit.wikimedia.org/r/299738

Change 299746 had a related patch set uploaded (by Jcrespo):
Repool db1001 as m1 secondary (passive) host

https://gerrit.wikimedia.org/r/299746

Change 299747 had a related patch set uploaded (by Jcrespo):
Install jessie by default on all dbproxies

https://gerrit.wikimedia.org/r/299747

Change 299746 merged by Jcrespo:
Repool db1001 as m1 secondary (passive) host

https://gerrit.wikimedia.org/r/299746

Change 299747 merged by Jcrespo:
Install jessie by default on all dbproxies

https://gerrit.wikimedia.org/r/299747

Mentioned in SAL [2016-07-19T14:10:57Z] <jynus> reboot and reimage dbproxy1003 to jessie T125027 T138460

jcrespo moved this task from In progress to Next on the DBA board.Jul 20 2016, 11:03 AM

It seems dbproxy1002 was "accidentally" upgraded to jessie today: T140983

Change 301330 had a related patch set uploaded (by Jcrespo):
Swithchover via dns dbproxy1001 (m1-master) to dbproxy1006

https://gerrit.wikimedia.org/r/301330

Change 301330 merged by Jcrespo:
Swithchover via dns dbproxy1001 (m1-master) to dbproxy1006

https://gerrit.wikimedia.org/r/301330

jcrespo moved this task from Next to In progress on the DBA board.Jul 27 2016, 10:48 AM

All clients are using now dbproxy1006; except bacula. I will wait for backup jobs to finish to restart it before reimaging dbproxy1001.

@akosiaris I think now should be a safe time to restart bacula, but I will block on you giving an ok for that/confirming there are no ongoing jobs running.

It is. Let's do it. I already did a restart, everything is fine.

Oh, thank you a lot! I see bacula already from the new ip! Thank you again!

jcrespo closed this task as Resolved.Jul 28 2016, 5:29 PM

Both servers are now in jessie. The only remaining trusty servers is dbproxy1002 and dbproxy1004, which will be upgraded to jessie when we perform maintenance on the respective dbs.